EVENTD-NOTIFY.CON(5)

NAME
eventd-notify.conf - notify plugin configuration

SYNOPSIS

Configuration for the notify plugin.

DESCRIPTION

The notify plugin relays events to a notification daemon.

ACTION SECTIONS

  Section [Libnotify]

Disable=
    A boolean

    If true, no notification will be created.

Title= (defaults to "${title}")
    A localised format string

    The notification's title. It will be highlighted compared to the message.

Message= (defaults to "${message}")
    A localised format string

    The notification's message.

Image= (defaults to "image")
    A file URI

    The notification's image. Generally event-specific.

    If no image is provided, the icon is used instead.

Icon= (defaults to "icon")
    A file URI

    The notification's icon. Generally application-specific or category-specific.

    If the notification daemon does not support displaying both image and icon, or the icon not being an URI, it will be rendered overlaying the image.

OverlayScale= (defaults to 50)
    A percentage as an integer

    Scale factor used if the icon is rendered as an overlay to the image.

Urgency= (defaults to normal)
    An enumeration

    The urgency of the notification. One of low, normal, or critical.

  Section [Libnotify hints]

This section has special handling. All keys in this section are translated to hints[1] for the server.

The key name is used as-is, and the key value is a format string which, once resolved, will be parsed as a GVariant text.

Example 1. Setting a notification as transient and of category "device.added"

    [Libnotify]
    [Libnotify hints]
    transient=true
    category="device.added"

SEE ALSO

eventd core man pages

    eventd(1)
        eventd daemon command-line options

    eventdctl(1)
        eventdctl (control tool) command-line options

    eventd.conf(5)
        eventd configuration

        Contains information about all the event configuration

    Plugins installed with eventd will use the same scheme: eventd-plugin-name for their additional eventd command-line options, eventdctl-plugin-name for their additional eventdctl command-line options, eventd-plugin-name.conf for their configuration,

Plugins man pages

        • exec plugin: eventd-exec.conf(5)

        • file plugin: eventd-file.conf(5)

        • nd plugin: eventdctl-nd(1) eventd-nd.conf(5)

        • notify plugin: eventd-notify.conf(5)

AUTHOR

Quentin Glidic <sardemff7@eventd.org>
    Developer

NOTES

1.  hints
    https://people.gnome.org/~mccann/docs/notification-spec/notification-spec-latest.html#hints

2.  GVariant text